Bug 984922 - 'default shell' malfunction
'default shell' malfunction
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kexec-tools (Show other bugs)
7.0
All Linux
high Severity high
: rc
: ---
Assigned To: Baoquan He
Guangze Bai
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-16 07:29 EDT by Guangze Bai
Modified: 2015-02-08 16:39 EST (History)
3 users (show)

See Also:
Fixed In Version: kexec-tools-2.0.4-7.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:30:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guangze Bai 2013-07-16 07:29:39 EDT
Description of problem:

# cat /etc/kdump.conf
core_collector makedumpfile -nosuchoption
default shell

When kdumprd is working in 2nd kernel, it failed to enter interactive shell but system reboot directly.

Version-Release number of selected component (if applicable):
kexec-tools-2.0.4-[3-5].el7
dracut-029-1.el7

How reproducible:
always

Actual results:

dracut-pre-pivot[229]: kdump: dump target is /dev/mapper/rhel_ibm--p730--01--lp2-root
dracut-pre-pivot[229]: kdump: saving to /sysroot//var/crash/127.0.0.1-2013.07.16-05:29:29/
[   20.221263] EXT4-fs (dm-1): re-mounted. Opts: data=ordered
dracut-pre-pivot[229]: kdump: saving vmcore-dmesg.txt
dracut-pre-pivot[229]: kdump: saving vmcore-dmesg.txt complete
dracut-pre-pivot[229]: kdump: saving vmcore
dracut-pre-pivot[229]: makedumpfile: invalid option -- 'n'
dracut-pre-pivot[229]: Commandline parameter is invalid.
dracut-pre-pivot[229]: Try `makedumpfile --help' for more information.
dracut-pre-pivot[229]: makedumpfile Failed.
dracut-pre-pivot[229]: Rebooting.
[   20.406336] Restarting system.



Expected results:
Drop into a interactive shell.

Additional info:
Comment 3 Ludek Smid 2014-06-13 07:30:12 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.